<?php

namespace App\Http\Controllers\NGRS;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\XM_Aspirantes;

class ResultadosController extends Controller
{
    
    //funcion que retorna si paso o no el alumno el examen de admision
    public function resultado_ws(Request $request){
        $data = $request->all();
        $aspi = XM_Aspirantes::with('aspirante.carrera')->whereHas('aspirante', function($query) use ($data) {
            $query = $query->where('id', $data['no_solicitud'])->where('nip', $data['password']);
        })->first();
        if ($aspi==null) {
            return response()->json(['estado'=>'error','mensaje'=>' Número de solicitud y/o contraseña incorrectos.']);
        } else {
            //return $aspi->toJson();
            return response()->json([
                'estado'=>'ok',
                'nombre'=>strtoupper($aspi->aspirante->nombre." ".$aspi->aspirante->ap_paterno." ".$aspi->ap_materno),
                'no_solicitud'=>$data['no_solicitud'],
                'pass'=>$data['password'],
                'carrera'=>$aspi->aspirante->carrera->nombre,
                'resultado'=>$aspi->resultado,
                'sexo'=>$aspi->aspirante->sexo
            ]);

        }

    }
}
